Loading ...
Sorry, an error occurred while loading the content.

Apache Configuration Problem using Unslung beta 5.5

Expand Messages
  • stuartriley05
    I ve just unslung my new slug with version beta 5.5, everything seems to be working fine and working from disk 1 (df confirms my rootfs is in the correct
    Message 1 of 3 , Aug 1, 2005
    • 0 Attachment
      I've just unslung my new slug with version beta 5.5, everything seems
      to be working fine and working from disk 1 (df confirms my rootfs is
      in the correct place). I tried to install apache, but get the
      following error, any ideas? I couldn't find anything after searching
      the wiki. I dug around with "find" and can't find libldap-2.2.so.7 on
      my slug?

      # ipkg install php-apache

      [... downloads removed to save space...]

      Configuring apache
      update-alternatives: Linking //opt/sbin/htpasswd to /opt/sbin/apache-
      htpasswd
      /opt/sbin/httpd: error while loading shared libraries: libldap-
      2.2.so.7: cannot
      open shared object file: No such file or directory
      /opt/sbin/httpd: error while loading shared libraries: libldap-
      2.2.so.7: cannot
      open shared object file: No such file or directory
      postinst script returned status 127
      ERROR: apache.postinst returned 127
      Configuring bzip2
      Configuring libxml2
      Configuring libxslt
      Configuring openssl
      Configuring php
      Configuring php-apache
      Configuring zli
    • Andy Johnson
      Just a wild one (I am no Linux or Apache Guru) Try installing ncurses - that did the trick for me in getting asterisk to work. ipkg install ncurses Andy ...
      Message 2 of 3 , Aug 7, 2005
      • 0 Attachment
        Just a wild one (I am no Linux or Apache Guru)
        Try installing ncurses - that did the trick for me in getting
        asterisk to work.

        ipkg install ncurses

        Andy

        --- In nslu2-general@yahoogroups.com, "stuartriley05"
        <stuart_riley@s...> wrote:
        > I've just unslung my new slug with version beta 5.5, everything
        seems
        > to be working fine and working from disk 1 (df confirms my rootfs
        is
        > in the correct place). I tried to install apache, but get the
        > following error, any ideas? I couldn't find anything after
        searching
        > the wiki. I dug around with "find" and can't find libldap-2.2.so.7
        on
        > my slug?
        >
        > # ipkg install php-apache
        >
        > [... downloads removed to save space...]
        >
        > Configuring apache
        > update-alternatives: Linking //opt/sbin/htpasswd
        to /opt/sbin/apache-
        > htpasswd
        > /opt/sbin/httpd: error while loading shared libraries: libldap-
        > 2.2.so.7: cannot
        > open shared object file: No such file or directory
        > /opt/sbin/httpd: error while loading shared libraries: libldap-
        > 2.2.so.7: cannot
        > open shared object file: No such file or directory
        > postinst script returned status 127
        > ERROR: apache.postinst returned 127
        > Configuring bzip2
        > Configuring libxml2
        > Configuring libxslt
        > Configuring openssl
        > Configuring php
        > Configuring php-apache
        > Configuring zli
      • droelleke
        I have the same problem after i updateted my apache to the newest version. My system is unslung 3.18. I tried different install option like force-reinstall and
        Message 3 of 3 , Aug 8, 2005
        • 0 Attachment
          I have the same problem after i updateted my apache to the newest
          version. My system is unslung 3.18. I tried different install option
          like force-reinstall and -force-overwrite and a combination of both
          and at last your trick but nothing works. I hope someone will have
          asolution for this problem.

          Dieter


          --- In nslu2-general@yahoogroups.com, "Andy Johnson"
          <portalresources@y...> wrote:
          > Just a wild one (I am no Linux or Apache Guru)
          > Try installing ncurses - that did the trick for me in getting
          > asterisk to work.
          >
          > ipkg install ncurses
          >
          > Andy
          >
          > --- In nslu2-general@yahoogroups.com, "stuartriley05"
          > <stuart_riley@s...> wrote:
          > > I've just unslung my new slug with version beta 5.5, everything
          > seems
          > > to be working fine and working from disk 1 (df confirms my
          rootfs
          > is.> > in the correct place). I tried to install apache, but get
          the
          > > following error, any ideas? I couldn't find anything after
          > searching
          > > the wiki. I dug around with "find" and can't find libldap-
          2.2.so.7
          > on
          > > my slug?
          > >
          > > # ipkg install php-apache
          > >
          > > [... downloads removed to save space...]
          > >
          > > Configuring apache
          > > update-alternatives: Linking //opt/sbin/htpasswd
          > to /opt/sbin/apache-
          > > htpasswd
          > > /opt/sbin/httpd: error while loading shared libraries: libldap-
          > > 2.2.so.7: cannot
          > > open shared object file: No such file or directory
          > > /opt/sbin/httpd: error while loading shared libraries: libldap-
          > > 2.2.so.7: cannot
          > > open shared object file: No such file or directory
          > > postinst script returned status 127
          > > ERROR: apache.postinst returned 127
          > > Configuring bzip2
          > > Configuring libxml2
          > > Configuring libxslt
          > > Configuring openssl
          > > Configuring php
          > > Configuring php-apache
          > > Configuring zli
        Your message has been successfully submitted and would be delivered to recipients shortly.